MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026586Open CASCADE[OCCT] OCCT:Codingpublic2015-08-21 12:032016-04-20 15:48
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026586: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides previous local declaration
DescriptionWarnings "declaration of local variable hides previous local declaration" appears during occt compilation with vc14.

List of warnings is presented in attached file "Warnings_C4456.txt"
Steps To ReproduceTry to compile occt with vc14 (Visual Studio 2015)
TagsNo tags attached.
Test case numberNot needed
Attached Filestxt file icon Warnings_C4456.txt (53,873 bytes) 2015-08-21 12:03

- Relationships
child of 0026547closedski Configuration - fix compilation errors on VS2015 

-  Notes
(0044516)
git (administrator)
2015-08-21 17:14

Branch CR26586 has been created by ski.

SHA-1: 829ed11a6cfcb43ed251caada225a2ce73cade4b


Detailed log of new commits:

Author: ski
Date: Fri Aug 21 16:14:35 2015 +0300

    0026586: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides previous local declaration
    
    Eliminated warnings about "declaration of some local variable hides previous local declaration"
(0045307)
git (administrator)
2015-09-09 13:07

Branch CR26586 has been updated forcibly by ski.

SHA-1: 8e2b2e162af509da8d0ee826739825815bd53e1d
(0045320)
ski (developer)
2015-09-09 14:21

Warnings were fixed on vc14.
(0045499)
git (administrator)
2015-09-11 15:43

Branch CR26586_1 has been created by abv.

SHA-1: 6535adeb4171af6cbfd22f54698cb896ed8c8b90


Detailed log of new commits:

Author: ski
Date: Tue Sep 8 15:41:26 2015 +0300

    0026586: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides previous local declaration
    
    Eliminated warnings about "declaration of some local variable hides previous local declaration"
(0045500)
abv (manager)
2015-09-11 15:44

Reviewed and revised, and rebased on current master; please test CR26586_1
(0045563)
apv (tester)
2015-09-14 13:24

Dear BugMaster,

Branch CR26586_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 6535adeb4171af6cbfd22f54698cb896ed8c8b90

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92598035 / 92770204 [-0.19%]
Total CPU difference: 18141.699999999117 / 17945.869999999086 [+1.09%]

Testing on Windows:
Total MEMORY difference: 57746070 / 57754094 [-0.01%]
Total CPU difference: 16632.717419298966 / 16847.82719819915 [-1.28%]
(0046997)
git (administrator)
2015-10-16 16:37

Branch CR26586 has been deleted by kgv.

SHA-1: 8e2b2e162af509da8d0ee826739825815bd53e1d
(0047051)
git (administrator)
2015-10-16 16:47

Branch CR26586_1 has been deleted by kgv.

SHA-1: 6535adeb4171af6cbfd22f54698cb896ed8c8b90

- Related Changesets
occt: master 51740958
Timestamp: 2015-09-08 12:41:26
Author: ski
Committer: bugmaster
Details ] Diff ]
0026586: Eliminate compile warnings obtained by building occt with vc14: declaration of local variable hides previous local declaration

Eliminated warnings about "declaration of some local variable hides previous local declaration"
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AppCont/AppCont_LeastSquare.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_LeastSquare.gxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/Blend/Blend_Walking_1.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_3.gxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_HistoryCommands.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepFill/BRepFill.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_ApproxSeewing.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Filling.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_NSections.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellator.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeLoops.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff ] File ]
mod - src/BRepToIGES/BRepToIGES_BRShell.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Quilt.cxx Diff ] File ]
mod - src/CDF/CDF_FWOSDriver.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_Builder.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/Contap/Contap_Contour.cxx Diff ] File ]
mod - src/CSLib/CSLib.cxx Diff ] File ]
mod - src/CSLib/CSLib_Offset.cxx Diff ] File ]
mod - src/DBRep/DBRep_DrawableShape.cxx Diff ] File ]
mod - src/DNaming/DNaming.cxx Diff ] File ]
mod - src/DNaming/DNaming_PrismDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_Batten.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_MinimalVariation.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_Assembly.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearFlexion.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearJerk.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_LinearTension.cxx Diff ] File ]
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_1.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_API2dCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationDraft.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Profiler.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_QuasiAngularConvertor.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SectionPlacement.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_HLRToShape.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ShapeToHLR.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_DrawableEdgeTool.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_FaceIsoLiner.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionDumper.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Reader.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_IGESBoundary.cxx Diff ] File ]
mod - src/IGESConvGeom/IGESConvGeom.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff ] File ]
mod - src/Interface/Interface_EntityList.cxx Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_Intersector.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_0.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_Triangle.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FClass2d.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cxx Diff ] File ]
mod - src/Law/Law_BSpline.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildWires.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_LinearForm.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Prism.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Revol.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_RevolutionForm.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff ] File ]
mod - src/MAT/MAT_Graph.cxx Diff ] File ]
mod - src/math/math_FunctionSetRoot.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_CheckTopology.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_AspectMarker.cxx Diff ] File ]
mod - src/PCDM/PCDM_RetrievalDriver.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnPlane.cxx Diff ] File ]
mod - src/QABugs/QABugs_14.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWBSplineSurfaceWithKnotsAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_FixSmallSolid.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Shape.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_Reader.cxx Diff ] File ]
mod - src/StepData/StepData_Field.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_SelectGSCurves.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
mod - src/TNaming/TNaming.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.cxx Diff ] File ]
mod - src/TNaming/TNaming_Selector.cxx Diff ] File ]
mod - src/TNaming/TNaming_TranslateTool.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_DSFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_kpart.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_closing.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_makeTransition.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUS.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/V3d/V3d_CircularGrid.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Voxel/Voxel_CollisionDetection.cxx Diff ] File ]
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]
mod - src/Voxel/Voxel_OctBoolDS.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_IndexedFaceSet.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_Tool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_GDTs.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-21 12:03 ski New Issue
2015-08-21 12:03 ski Assigned To => ski
2015-08-21 12:03 ski File Added: Warnings_C4456.txt
2015-08-21 12:03 ski Status new => assigned
2015-08-21 17:14 git Note Added: 0044516
2015-08-25 09:31 kgv Relationship added child of 0026547
2015-09-09 13:07 git Note Added: 0045307
2015-09-09 14:21 ski Note Added: 0045320
2015-09-09 14:21 ski Assigned To ski => abv
2015-09-09 14:21 ski Status assigned => resolved
2015-09-11 15:43 git Note Added: 0045499
2015-09-11 15:44 abv Note Added: 0045500
2015-09-11 15:44 abv Assigned To abv => bugmaster
2015-09-11 15:44 abv Status resolved => reviewed
2015-09-11 16:41 apv Assigned To bugmaster => apv
2015-09-14 13:21 apv Test case number => Not needed
2015-09-14 13:24 apv Note Added: 0045563
2015-09-14 13:24 apv Assigned To apv => bugmaster
2015-09-14 13:24 apv Status reviewed => tested
2015-09-18 13:31 bugmaster Changeset attached => occt master 51740958
2015-09-18 13:31 bugmaster Status tested => verified
2015-09-18 13:31 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0046997
2015-10-16 16:47 git Note Added: 0047051
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker